=== debian/changelog ===
erlang-bitcask (1.1.6+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #689279)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 16 Jul 2012 00:48:31 +0900
