=== debian/control ===
Source: erlang-bitcask
Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
Section: devel
Priority: optional
Standards-Version: 3.9.3
Homepage: https://github.com/basho/bitcask
Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
	erlang-eunit, rebar

Package: erlang-bitcask
Architecture: any
Section: devel
Priority: optional
Depends: ${shlibs:Depends}, ${misc:Depends},
	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
Description: Log-Structured Hash Table for Fast Key/Value Data
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.
 
Package: erlang-bitcask-dev
Section: devel
Architecture: all 
Depends: erlang-bitcask (>= ${source:Version}), ${misc:Depends}
Description: Log-Structured Hash Table for Fast Key/Value Data (development files)
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.
 .
 This package includes bitcask headers which are necessary to build Erlang
 applications which use bitcask.
