## erlang-bitcask 1.6.0+dfsg

=== debian/changelog ===
erlang-bitcask (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.0).
  * Update debian/control.
    - Add erlang-meck to Build-Depends and Depends.
    - Add erlang-mnesia to Build-Depends.
  * Update debian/rules.
    - Remove *.app in clean target.
    - Remove Run-eunit-loop.expect from package.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 31 Jan 2013 17:36:46 +0900
