=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Standards-Version: 3.9.3
 Homepage: https://github.com/basho/bitcask
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, rebar
+	erlang-eunit, rebar, erlang-meck, erlang-mnesia
 
 Package: erlang-bitcask
 Architecture: any
 Section: devel
 Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends},
-	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends}
+	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
+	erlang-meck
 Description: Log-Structured Hash Table for Fast Key/Value Data
  Bitcask is an Erlang application that provides an API for storing and
  retrieving key/value data into a log-structured hash table that provides very
