=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 PACKAGE=bitcask
 VERSION = $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\+dfsg)?.*$$/\1/p')
-
 %:
 	dh $@
 
@@ -20,6 +19,7 @@
 		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv
 	install -m 644 priv/* \
 		$(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/
+	rm $(CURDIR)/debian/erlang-$(PACKAGE)/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/priv/Run-eunit-loop.expect
 	install -d \
 		$(CURDIR)/debian/erlang-$(PACKAGE)-dev/usr/lib/erlang/lib/$(PACKAGE)-$(VERSION)/include
 	install -m 644 include/* \
@@ -34,6 +34,7 @@
 override_dh_auto_clean:
 	dh_auto_install
 	rm -rf ebin/*.beam
+	rm -rf ebin/*.app
 	rm -rf c_src/*.o
 	rm -rf priv/bitcask.so
 	rm -rf .eunit
