=== debian/changelog ===
erlang-bitcask (1.6.1p1+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.1p1).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 20 Apr 2013 18:53:46 +0900
