## erlang-bitcask 1.6.3+dfsg

=== Makefile ===
--- 
+++ 
@@ -12,13 +12,22 @@
 all: deps compile
 
 compile:
-	$(REBAR_BIN) compile eunit
+	$(REBAR_BIN) compile 
 
 deps:
 	$(REBAR_BIN) get-deps
 
-clean:
+clean: 
 	$(REBAR_BIN) clean
+
+test: deps compile eunit_erlang eunit_nif
+
+eunit_erlang:
+	IOMODE="erlang" $(REBAR_BIN) skip_deps=true eunit
+
+eunit_nif:
+	IOMODE="nif" $(REBAR_BIN) skip_deps=true eunit
+
 
 # Release tarball creation
 # Generates a tarball that includes all the deps sources so no checkouts are necessary
@@ -56,3 +65,16 @@
 	$(MAKE) -C package pkgclean
 
 export BITCASK_TAG PKG_VERSION REPO REVISION
+
+APPS = kernel stdlib sasl erts ssl tools os_mon runtime_tools crypto inets \
+	xmerl webtool snmp public_key mnesia eunit syntax_tools compiler
+PLT = $(HOME)/.bitcask_dialyzer_plt
+
+build_plt: deps compile
+	dialyzer --build_plt --output_plt $(PLT) --apps $(APPS) deps/*/ebin
+
+dialyzer: deps compile
+	dialyzer -Wno_return --plt $(PLT) ebin
+
+clean_plt:
+	rm $(PLT)
