=== debian/changelog ===
erlang-bitcask (1.6.3+dfsg-5) unstable; urgency=low
  * Update debian/control.
    - Update version of erleng-dev.
  * Update debian/rules.
    - Disable test on mipsel.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 03 Sep 2013 08:07:03 +0900

erlang-bitcask (1.6.3+dfsg-4) unstable; urgency=low

  * Update debian/control.
    - Add dh-rebar to Build-Depends.
    - Remove Section and Priority section from erlang-bitcask*.
  * Update debian/rules.
    - Changed to use dh-rebar.
  * Fix debian/watch.
    - Fix debian-watch-file-should-mangle-version.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 19 Aug 2013 20:22:26 +0900

erlang-bitcask (1.6.3+dfsg-3) unstable; urgency=low

  * Update debian/rules.
    Disable test on arm*, ia64 and sparc. (Closes: #718740)
  * Update debian/control.
    Add Vcs-Git and Vcs-Browser field.
  * Add watch file.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 08 Aug 2013 06:21:33 +0900

erlang-bitcask (1.6.3+dfsg-2) unstable; urgency=low

  * Update debian/rules.
    - Enable verbose build.
    - Remove verbose option from erlang-depends.
  * Update debian/control.
    - Add erlang-dialyzer to Build-Depends.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 18 Jul 2013 08:47:01 +0900

erlang-bitcask (1.6.3+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.3).
  * Update debian/control.
    - Bumped standards-version to 3.9.4.
  * Update debian/rules.
    - Remove the line which remove Run-eunit-loop.expect.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 01 Jul 2013 17:30:09 +0900
