=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
+	erlang-eunit, erlang-meck, erlang-mnesia, erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:13.b.4),
-	erlang-eunit, rebar, erlang-meck, erlang-mnesia
+Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-bitcask.git;a=summary
 
 Package: erlang-bitcask
 Architecture: any
-Section: devel
-Priority: optional
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
 	erlang-meck
@@ -23,7 +23,6 @@
  file merging.
  
 Package: erlang-bitcask-dev
-Section: devel
 Architecture: all 
 Depends: erlang-bitcask (>= ${source:Version}), ${misc:Depends}
 Description: Log-Structured Hash Table for Fast Key/Value Data (development files)
