## erlang-bitcask 1.6.7+dfsg

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,10 @@
 test: deps compile eunit_erlang eunit_nif
 
 eunit_erlang:
-	IOMODE="erlang" $(REBAR_BIN) skip_deps=true eunit
+	BITCASK_IO_MODE="erlang" $(REBAR_BIN) skip_deps=true eunit
 
 eunit_nif:
-	IOMODE="nif" $(REBAR_BIN) skip_deps=true eunit
+	BITCASK_IO_MODE="nif" $(REBAR_BIN) skip_deps=true eunit
 
 
 # Release tarball creation
