=== debian/changelog ===
erlang-bitcask (1.6.7+dfsg-1ubuntu1) utopic; urgency=medium

  * Build with -O2 on ppc64el to avoid test failures.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 08 Sep 2014 11:48:04 +0200

erlang-bitcask (1.6.7+dfsg-1) unstable; urgency=medium

  * New upstream release (1.6.7+dfsg).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 22 May 2014 13:55:53 +0900

erlang-bitcask (1.6.6+dfsg-1) unstable; urgency=low

  * New upstream release (1.6.6+dfsg).
  * Update debian/control.
    - Update Standards-version to 3.9.5.
    - Add version to erlang-meck.
  * Update patches/remove_deps.
  * Add patches/fix_version_string.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 22 Mar 2014 15:07:34 +0900
