=== debian/changelog ===
erlang-bitcask (2.0.2+dfsg-1) unstable; urgency=medium

  * New upstream release (2.0.2+dfsg). (Closes: #791369)
  * Update version of erlang-cuttlefish.
  * Add patches/disable-nowarn_deprecated.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sun, 27 Mar 2016 05:09:30 +0900

erlang-bitcask (2.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release (2.0.1+dfsg).
  * Update Standards-Version to 3.9.6.
  * Add erlang-cuttlefish to Build-Depends and Depends

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Tue, 23 Feb 2016 08:01:52 +0900

erlang-bitcask (1.7.1+dfsg-1) UNRELEASED; urgency=medium

  * New upstream release (1.7.1+dfsg).

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Oct 2014 09:44:19 +0900
