=== debian/control ===
--- 
+++ 
@@ -3,9 +3,10 @@
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
-	erlang-eunit, erlang-meck (>= 0.8.1), erlang-mnesia, erlang-dialyzer, dh-rebar
+	erlang-eunit, erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.6), erlang-mnesia,
+	erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
 Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-bitcask.git;a=summary
@@ -14,7 +15,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	erlang-base-hipe | erlang-base | ${erlang-abi:Depends}, ${erlang:Depends},
-	erlang-meck (>= 0.8.1)
+	erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.1)
 Description: Log-Structured Hash Table for Fast Key/Value Data
  Bitcask is an Erlang application that provides an API for storing and
  retrieving key/value data into a log-structured hash table that provides very
