=== debian/changelog ===
erlang-bitcask (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update depend version of erlang-cuttlefish.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Wed, 19 Oct 2016 13:04:33 +0900

erlang-bitcask (2.0.3+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update version of erlang-cuttlefish.
  * Update Standards-Version to 3.9.8.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 03 Sep 2016 06:33:10 +0900
