=== debian/changelog ===
erlang-bitcask (2.0.8+dfsg-2) unstable; urgency=medium

  * Change maintainer address. (Closes: #899917)
  * Bump Standards-Version to 4.1.4.
  * Update debhelper to 11.
  * Change Vcs-Git and Vcs-Browser to salsa.
  * Fix insecure copyright format URI.
  * Get rid of lintian 'space-in-std-shortname-in-dep5-copyright'.
    Change license from MIT to Expat.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 28 May 2018 08:40:58 +0900

erlang-bitcask (2.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update patches/remove_deps.
  * Update patches/disable-nowarn_deprecated.
  * Add patches/remove-warnings_as_errors-from-erl_opts.
  * Disabled eunit, it is currently broken. (Closes: #869571)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 04 Sep 2017 08:40:37 +0900
