=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: erlang-bitcask
-Maintainer: LeoFS maintainers team <pkg-leofs-devel@lists.alioth.debian.org>
+Maintainer: LeoFS maintainers team <team+pkg-leofs-devel@tracker.debian.org>
 Uploaders: Taku YASUI <tach@debian.org>, Nobuhiro Iwamatsu <iwamatsu@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11), dpkg-dev (>= 1.16.1~), erlang-dev (>= 1:14.b.4),
 	erlang-eunit, erlang-meck (>= 0.8.2), erlang-cuttlefish (>= 2.0.10), erlang-mnesia,
 	erlang-dialyzer, dh-rebar
 Homepage: https://github.com/basho/bitcask
-Vcs-Git: git://anonscm.debian.org/pkg-leofs/erlang-bitcask.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-leofs/erlang-bitcask.git;a=summary
+Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-bitcask.git
+Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-bitcask
 
 Package: erlang-bitcask
 Architecture: any
@@ -22,9 +22,9 @@
  fast access. The design owes a lot to the principles found in log-structured
  file systems and draws inspiration from a number of designs that involve log
  file merging.
- 
+
 Package: erlang-bitcask-dev
-Architecture: all 
+Architecture: all
 Depends: erlang-bitcask (>= ${source:Version}), ${misc:Depends}
 Description: Log-Structured Hash Table for Fast Key/Value Data (development files)
  Bitcask is an Erlang application that provides an API for storing and
@@ -35,4 +35,3 @@
  .
  This package includes bitcask headers which are necessary to build Erlang
  applications which use bitcask.
-
