=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,9 @@
 #!/usr/bin/make -f
-
-DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
-ifneq (,$(filter $(DEB_HOST_ARCH),ppc64el))
-  export DEB_CFLAGS_MAINT_STRIP  = -O3
-  export DEB_CFLAGS_MAINT_APPEND = -O2
-endif
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
-disable_test=0
+disable_test=1
 # BTS:718740
 ifneq (,$(findstring $(DEB_HOST_ARCH),armel armhf ia64 sparc mipsel))
 disable_test=1
