=== debian/changelog ===
erlang-bitcask (2.1.0-1) unstable; urgency=medium

  * New upstream version 2.1.0
  * Update Maintainers and Uploaders
  * Update (Build-)Depends
  * Update debian/copyright
  * Update Standards-Version: 4.6.0 (no changes needed)
  * Update debhelper compat level from 11 to 13
  * Update version of debian/watch: 4
  * Clean debian/rules
  * Make build deterministic
  * Add lintian overrides
  * Clean debian/dh-rebar.conf
  * Add debian/upstream/metadata

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Jan 2022 17:19:48 +0100
