=== debian/control ===
Source: erlang-bitcask
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>, Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-rebar,
               erlang-cuttlefish (>= 3),
	       erlang-meck,
               erlang-mnesia
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/erlang-team/packages/erlang-bitcask.git
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/erlang-bitcask
Homepage: https://github.com/basho/bitcask

Package: erlang-bitcask
Architecture: any
Depends: ${erlang:Depends},
         ${misc:Depends},
         ${shlibs:Depends},
         erlang-cuttlefish (>= 3),
	 erlang-meck
Enhances: erlang
Description: Log-Structured Hash Table for Fast Key/Value Data
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.

Package: erlang-bitcask-dev
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         erlang-bitcask (>= ${source:Version})
Enhances: erlang
Description: Log-Structured Hash Table for Fast Key/Value Data (development files)
 Bitcask is an Erlang application that provides an API for storing and
 retrieving key/value data into a log-structured hash table that provides very
 fast access. The design owes a lot to the principles found in log-structured
 file systems and draws inspiration from a number of designs that involve log
 file merging.
 .
 This package includes bitcask headers which are necessary to build Erlang
 applications which use bitcask.
