=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk
export ERL_COMPILER_OPTIONS = deterministic


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_clean:
	dh_auto_clean
	rm -rf ebin/*.beam
	rm -rf ebin/*.app
	rm -rf c_src/*.o
	rm -rf priv/bitcask.so
	rm -rf .eunit
