=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/bitcask-$1.tar.gz/,dversionmangle=s/\+dfsg// \
  https://github.com/basho/bitcask/tags .*/v?(\d\S*)\.tar\.gz
